LURKER-PARAMS(1)

NAME
lurker-params — parses parameters from the config file

SYNOPSIS

lurker-params [-c <config-file>] [-f <locale>] [-d -u -a -n -e -x -m -i -k -w -h -r]

DESCRIPTION

lurker-params outputs various lurker settings from the config file for use in shell scripts. Do not use sed/grep/etc, instead use this as it respects include.

OPTIONS

-c config-file
    Use this config file for lurker settings.

-f locale
    Choose lurker config fields from the specified locale (it defaults to selecting the fallback case for each field).

-d  Output only the dbdir parameter

-u  Output only the db_umask parameter

-a  Output only the archive parameter

-n  Output only the administrator name

-e  Output only the administrator email address

-x  Output only the xslt processing command

-m  Output only the mime pgp verifying command

-i  Output only the inline pgp verifying command

-k  Output only the command for deleting a message

-w  Output only the web_cache state

-h  Output only the hide_email state

-r  Output only the raw_email state

SEE ALSO

lurker-index(1), lurker-prune(1), lurker-list(1), lurker-search(1)

lurker documentation on http://lurker.sourceforge.net/

COPYRIGHT

Copyright (C) 2002: Wesley W. Terpstra <terpstra@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

BUGS

Before reporting a bug, please confirm that the bug you found is still present in the latest official release. If the problem persists, then send mail with instructions describing how to reproduce the bug to <lurker-users@lists.sourceforge.net>.